package Location;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.sql.SQLException;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

/**
 * @author Gerhard Wiese
 * 
 * This gui is used when creating the MySQL database for the location system.
 *
 */
public class RegisterLocationGui{
	JFrame frame = new JFrame("RegisterLocation");
	JPanel panel = new JPanel();
	JLabel label = new JLabel("X coordinate");
	JLabel label2 = new JLabel("Y coordinate");
	JLabel label3 = new JLabel("Z coordinate");
	JButton btn = new JButton("Register Location");
	JTextArea result = new JTextArea(10, 40);
	JTextField xcoord = new JTextField(10);
	JTextField ycoord = new JTextField(10);
	JTextField zcoord = new JTextField(10);
	ActionListener listner;
	
	public RegisterLocationGui(ActionListener listner){
		this.listner = listner;
	}


	public void makeGui(){
		frame.add(panel);
		panel.add(label);
		panel.add(label);
		panel.add(xcoord);
		panel.add(label2);
		panel.add(ycoord);
		panel.add(label3);
		panel.add(zcoord);
		panel.add(btn);
		panel.add(result);
		result.setBorder(BorderFactory.createLineBorder(Color.black, 1));
		result.setVisible(true);
		result.setEditable(false);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setSize(1300,700);
		frame.setVisible(true);
		frame.setName("Register Location");
		btn.addActionListener(listner);
	}

	public JButton getBtn() {
		return btn;
	}
	//METODE BENYTTET TIL GUI FOR  LEGGE INN MYE PUNKTER I SYSTEMET. 
/*	
	public void actionPerformed(ActionEvent e){
		System.out.println("KNAPPEN BLE TRYKKET");
		if(e.equals(btn)){
			if(xcoord.getText().length() ==0){
				result.setText("Input x cordinate");
			}
			else if(ycoord.getText().length() ==0){
				result.setText("Input y cordinate");
			}
			else if(zcoord.getText().length() ==0){
				result.setText("Input z cordinate");
			}
			else{
			try {
				MainSystem.netReader.readInInfo();
			} catch (IOException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			} catch (InterruptedException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
			MainSystem.calc.sortAccessPointsByRssi();
			int x = Integer.parseInt(xcoord.getText());
			int y = Integer.parseInt(ycoord.getText());
			int z = Integer.parseInt(zcoord.getText());
			try {
				MainSystem.dbReader.regLoc(x, y, z);
			} catch (SQLException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
			}
		}
	}

*/

}