package gerhard.Location;



import android.util.Log;
import android.view.View;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.drawable.BitmapDrawable;
import android.view.KeyEvent;
import android.graphics.Color; 

public class Zoom extends View{
	private static final String tag = "Zoom";
	private Bitmap bitmap = null;
	private Bitmap copy = null;
    private int zoomController = 200;
    private int pixMeter = 15; 
	private int xStartPoint; 
	private int yStartPoint;
	private BitmapDrawable finalBitmap = null;
    
	public Zoom(Context context, int x, int y, int z){
		super(context);
		bitmap = null;
    	if(z == 1){
        	 xStartPoint = 1560;
 			 yStartPoint = 1392;
 			 int ycoord = (yStartPoint-(pixMeter*y))-150;
 			 int xcoord = (xStartPoint-(pixMeter*x))-150;
 			 Log.d(tag, "XCOORD = "+xcoord+"YCOORD = "+ycoord);
 			 bitmap = BitmapFactory.decodeResource(context.getResources(),R.drawable.firstfloor);
 			 Log.d(tag,"BITMAP HEIGHT = "+bitmap.getHeight()+" BITMAP WIDHT ="+bitmap.getWidth());
 			copy = Bitmap.createBitmap(bitmap,xcoord,ycoord,300,300);
             setFocusable(true);  
         }
         else if(z == 2){
        	 xStartPoint = 1580;
 			 yStartPoint = 1290;
 			 int ycoord = (yStartPoint-(pixMeter*y))-150;
 			 int xcoord = (xStartPoint-(pixMeter*x))-150;
 			 Log.d(tag, "XCOORD = "+xcoord+"YCOORD = "+ycoord);
 			 bitmap = BitmapFactory.decodeResource(context.getResources(),R.drawable.secondfloor);
 			 Log.d(tag,"BITMAP HEIGHT = "+bitmap.getHeight()+" BITMAP WIDHT ="+bitmap.getWidth());
 			 copy = Bitmap.createBitmap(bitmap,xcoord,ycoord,300,300);
        	 setFocusable(true);
         }
    	copy.setPixel(154, 150, Color.RED);
    	copy.setPixel(154, 151, Color.RED);
    	copy.setPixel(154, 152, Color.RED);
    	copy.setPixel(155, 150, Color.RED);
    	copy.setPixel(155, 151, Color.RED);
    	copy.setPixel(155, 152, Color.RED);
    	copy.setPixel(156, 150, Color.RED);
    	copy.setPixel(156, 151, Color.RED);
    	copy.setPixel(156, 152, Color.RED);
    	finalBitmap = new BitmapDrawable(copy);
    }
    @Override
    protected void onDraw(Canvas canvas) {
    	super.onDraw(canvas);
    	finalBitmap.setBounds((getWidth()/2)-zoomController, (getHeight()/2)-zoomController, (getWidth()/2)+zoomController, (getHeight()/2)+zoomController);
        finalBitmap.draw(canvas);
        invalidate(); 
   }
   @Override
   public boolean onKeyDown(int keyCode, KeyEvent event) {
        
        if(keyCode==KeyEvent.KEYCODE_DPAD_UP)
             zoomController+=10;
        if(keyCode==KeyEvent.KEYCODE_DPAD_DOWN)
             zoomController-=10;
        if(zoomController<10)
             zoomController=10;
        
        invalidate();
        return true;
   } 
   
public Bitmap getBitmap() {
	return bitmap;
}
public Bitmap getCopy() {
	return copy;
}
public BitmapDrawable getFinalBitmap() {
	return finalBitmap;
}
}
