package locationServer;

import java.util.ArrayList;

/**
 * @author Gerhard Wiese
 * 
 * The Location class defines informations for one specific location. It cointains an id defining the location
 * and a {@link ArrayList} of {@link AccessPoint} objects mapped to this location
 * 
 * @see ArrayList
 * @see AccessPoint
 *
 */
public class Location {
private int locationId; 
private int rating;
ArrayList<AccessPoint> AccessPoints = new ArrayList<AccessPoint>();

public int getLocationId() {
	return locationId;
}
public void setLocationId(int locationId) {
	this.locationId = locationId;
}
public int getRating(){
	return rating;
}
public void setRating(int rating){
	this.rating = rating;
}
}
