package Location;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

import javax.swing.JPanel;


/**
 * @author Gerhard Wiese
 * 
 * JImagePanel extends JPanel and makes it possible to paint a {@link BufferedImage} into the panel.
 * 
 * @see JPanel
 * @see BufferedImage
 *
 */
public class JImagePanel extends JPanel{
	     private BufferedImage image;  
	     int x, y;  
	     public JImagePanel(BufferedImage image, int x, int y) {  
	         super();  
	         this.image = image;  
	         this.x = x;  
	         this.y = y;  
	     }  
	     @Override
	     protected void paintComponent(Graphics g) {  
	         super.paintComponent(g);  
	         g.drawImage(image, x, y, null);  
	    }
}
