//
//  LocationViewController.h
//  Location
//
//  Created by Gerhard Wiese on 03.02.10.
//  Copyright NTNU 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "WiFiReader.h"
#import "LXSocket.h"

@interface LocationViewController : UIViewController {
	NSTimeInterval startTime;
	NSTimeInterval scanTime;
	NSTimeInterval serverTime;
	IBOutlet UIImageView *imgView;
	WiFiReader * reader;
	LXSocket* socket;
	BOOL connection;
}
-(IBAction)buttonPressed:(id)sender;
-(NSString *) communicateWithServer:(NSString *) stringToServer;
- (UIImage *)displayImage:(int) xcoord:(int) ycoord:(int)zcoord;
-(void) createSocketConnection;
- (void) locationLookUp;
-(NSArray *) retrieveCoordinates:(NSString *) serverString;
@end

